Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface DependencyArtifact

    public interface DependencyArtifact

An `Artifact` represents an artifact included in a `Dependency`.

An artifact is an (immutable) value object.

Field Summary
`static java.lang.String` | `DEFAULT_TYPE`

Method Summary
`java.lang.String` | `getClassifier()` Returns the classifier of this dependency artifact.
`java.lang.String` | `getExtension()` Returns the extension of this dependency artifact.
`java.lang.String` | `getName()` Returns the name of the dependency artifact.
`java.lang.String` | `getType()` Returns the type of the dependency artifact.
`java.lang.String` | `getUrl()` Returns an URL under which this dependency artifact can be retrieved.

Field Detail

### DEFAULT_TYPE

    static final java.lang.String DEFAULT_TYPE

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the dependency artifact.

### getType

    java.lang.String getType()

  Returns the type of the dependency artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.

  See Also:
    `getExtension()`

### getExtension

    java.lang.String getExtension()

  Returns the extension of this dependency artifact. Often the extendsion is the same as the type, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.

  See Also:
    `getType()`

### getClassifier

    java.lang.String getClassifier()

  Returns the classifier of this dependency artifact.

### getUrl

    java.lang.String getUrl()

  Returns an URL under which this dependency artifact can be retrieved. If not specified the user repositories are used for retrieving.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD